<div class="flex flex-col items-center justify-center h-screen">
  <div class="bg-white shadow-md rounded-lg p-10 w-full max-w-md">
    <div class="sm:mx-auto sm:w-full sm:max-w-sm">
      <img class="mx-auto h-10 w-auto" src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQK9pIsCYx9Z9wPHyN-qDcqJMUALTYV0phaxw&usqp=CAU" alt="Your Company">
      <h2 class="mt-10 text-center text-2xl font-bold leading-9 tracking-tight text-gray-900">Sign in to your account</h2>
    </div>

    <div class="mt-10 sm:mx-auto sm:w-full sm:max-w-sm">
      <form [formGroup]="loginForm" class="space-y-6">
        <div>
          <label for="correo" class="block text-sm font-medium leading-6 text-gray-900">Correo</label>
          <div class="mt-2">
            <input type="text" formControlName="correo" required id="correo" name="correo" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
            <div *ngIf="mostrarErrores && loginForm.get('correo')?.invalid" class="text-red-500 text-sm mt-1">
              Por favor, ingrese su correo.
            </div>
          </div>
        </div>

        <div>
          <div class="flex items-center justify-between">
            <label for="contrasena" class="block text-sm font-medium leading-6 text-gray-900">Contraseña</label>
            <div class="text-sm">
              <a href="#" class="font-semibold text-indigo-600 hover:text-indigo-500">¿Olvidaste tu contraseña?</a>
            </div>
          </div>

          <div class="mt-2">
            <input type="password" formControlName="contrasena" required id="contrasena" name="contrasena" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
            <div *ngIf="mostrarErrores && loginForm.get('contrasena')?.invalid" class="text-red-500 text-sm mt-1">
              Por favor, ingrese su contrasena
            </div>
            <div *ngIf="errorCredenciales" class="text-red-500 text-sm mt-1">
             Correo o Contraseña incorrecta.
            </div>
          </div>
        </div>

        <div>
          <button type="submit" (click)="onSubmit()" class="flex w-full justify-center rounded-md bg-indigo-600 px-3 py-1.5 text-sm font-semibold leading-6 text-white shadow-sm hover:bg-indigo-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">Iniciar sesión</button>
          <div *ngIf="enviando" class="mt-2 flex justify-center">
            <div class="loader ease-linear rounded-full border-4 border-t-4 border-gray-200 h-6 w-6"></div>
          </div>
        </div>
      </form>

      <p class="mt-10 text-center text-sm text-gray-500">
        Not a member?
        <button type="button" class="font-semibold leading-6 text-indigo-600 hover:text-indigo-500" (click)="registrarCliente()">No estas registrado? deme click para registrarte</button>
      </p>
    </div>
  </div>
</div>
